List user notifications

GET /users/{userId}/notifications

List notifications created by the current application for a user.

Path parameters

userIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

Query parameters

limitnumber

default: 10<=100>=1

Documentation

orderstring

default: asc"asc""desc"

Documentation

skipnumber

default: 0>=0

Documentation

typesarray

List of notification types

unique items

Documentation

Type of the notification. Will be sent as a channel ID on Android devices.

1..256 characters

Documentation

Example
"cgm.high"

Responses

    200OK

Content application/json

List of notifications

Documentation

Documentation

Properties

idstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

appIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

userIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

typestring✻

Type of the notification. Will be sent as a channel ID on Android devices.

1..256 characters

Documentation

Example
"cgm.high"

dataobject✻

Data for a notification per channel.

Documentation

Properties

pushobject

Push notifications are sent to mobile devices.

Documentation

Properties

titlestring✻

The title of a push notification. This title is typically displayed in the notification center or on the lock screen.

1..128 characters

Documentation

Example
"New Message"

bodystring✻

The body of a push notification. This text is typically displayed below the title in the notification center or on the lock screen.

1..512 characters

Documentation

Example
"You have a new message in your inbox."

prioritystring

The priority level of the push notification. Influences how fast the notification is delivered to the device.

default: normal"high""normal""low"

Documentation

soundstring

The sound file name to be used for a push notification. The file must be included in the app bundle, please refer to the platform documentation for more details.

1..128 characters

Documentation

Example
"notification.mp3"

webobject✻

Web notifications are displayed in the browser.

Documentation

Properties

messagestring✻

The notification message to be sent via web notification.

<= 256 characters

Documentation

metadataobject✻

The metadata for a notification.

default: [object Object]<= 16 properties

Documentation

createdobject✻

Information about the creation of the notification.

Documentation

Properties

atstring✻

format: date-time

Documentation

Example
"2023-10-05T14:48:00.000Z"

byobject✻

Documentation

Properties

id✻

typestring✻

"app""system""user"

Documentation

Security

Servers

    notification.hedia.comhttps://notification.hedia.com/api/v1